Bug 1045100

Summary: Command line does not support copying SRPMs
Product: [Retired] Pulp Reporter: Barnaby Court <bcourt>
Component: rpm-supportAssignee: Barnaby Court <bcourt>
Status: CLOSED CURRENTRELEASE QA Contact: Preethi Thomas <pthomas>
Severity: unspecified Docs Contact:
Priority: high    
Version: 2.3CC: mhrivnak, pthomas
Target Milestone: ---Keywords: Triaged
Target Release: 2.3.1   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-03-18 16:06:27 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Barnaby Court 2013-12-19 15:38:11 UTC
The copy srpm command has been disabled from the command line.  It should be re-enabled.  

PR: https://github.com/pulp/pulp_rpm/pull/423

Comment 1 Preethi Thomas 2013-12-20 19:21:47 UTC
[root@pulp-v2-server ~]# pulp-admin rpm repo copy
Usage: pulp-admin [SUB_SECTION, ..] COMMAND
Description: copies one or more content units between repositories

Available Commands:
  all          - copy all content units from one repository to another
  category     - copy package categories from one repository to another
  distribution - copy distributions from one repository to another
  errata       - copy errata from one repository to another
  group        - copy package groups from one repository to another
  rpm          - copy RPMs from one repository to another
  srpm         - copy SRPMs from one repository to another
[root@pulp-v2-server ~]# pulp-admin rpm repo copy srpm
Command: srpm
Description: copy SRPMs from one repository to another

Available Arguments:

  --filters          - filters provided as JSON in mongo syntax. This will
                       override any options specified from the 'Filters' section
                       below.
  --after, -a        - matches units added to the source repository on or after
                       the given time; specified as a timestamp in iso8601
                       format
  --before, -b       - matches units added to the source repository on or before
                       the given time; specified as a timestamp in iso8601
                       format
  --from-repo-id, -f - (required) source repository from which units will be
                       copied
  --to-repo-id, -t   - (required) destination repository to copy units into
  --recursive        - if specified, any dependencies of units being copied that
                       are in the source repo will be copied as well

Filters
  These are basic filtering options that will be AND'd together. These will be
  ignored if --filters= is specified. Any option may be specified multiple
  times. The value for each option should be a field name and value to match
  against, specified as "name=value". Example: $ pulp-admin <command>
  --gt='content_unit_count=0' 

  --str-eq - match where a named attribute equals a string value exactly.
  --int-eq - match where a named attribute equals an int value exactly.
  --match  - for a named attribute, match a regular expression using the mongo
             regex engine.
  --in     - for a named attribute, match where value is in the provided list of
             values, expressed as one row of CSV
  --not    - field and expression to omit when determining units for inclusion
  --gt     - matches resources whose value for the specified field is greater
             than the given value
  --gte    - matches resources whose value for the specified field is greater
             than or equal to the given value
  --lt     - matches resources whose value for the specified field is less than
             the given value
  --lte    - matches resources whose value for the specified field is less than
             or equal to the given value

The following options are required but were not specified:
  --from-repo-id
  --to-repo-id
[root@pulp-v2-server ~]# pulp-admin rpm repo copy srpm -f srpm -t srpm-copy
This command may be exited via ctrl+c without affecting the request.

[-]
Waiting to begin...

[-]
Running...

Units:
  test-srpm01-1.0-1-src
  test-srpm02-1.0-1-src
  test-srpm03-1.0-1-src

[root@pulp-v2-server ~]# 


[root@pulp-v2-server ~]# pulp-admin rpm repo publish run --repo-id srpm-copy
+----------------------------------------------------------------------+
                   Publishing Repository [srpm-copy]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Publishing packages...
[==================================================] 100%
Packages: 3/3 items
... completed

Publishing distributions...
[==================================================] 100%
Distributions: 0/0 items
... completed

Generating metadata
[\]
... completed

Publishing repository over HTTPS
[-]
... completed

[root@pulp-v2-server ~]#

Comment 2 Preethi Thomas 2014-03-18 16:06:27 UTC
These were already verified in the corresponding releases that they were fixed in. Moving them to closed current release.